/* -*- c++ -*- */
/*
 * Copyright 2002 Free Software Foundation, Inc.
 * 
 * This file is part of GNU Radio
 * 
 * GNU Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * GNU Radio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GNU Radio; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */
#ifndef _QA_ATSC_FS_CORRELATOR_H_
#define _QA_ATSC_FS_CORRELATOR_H_

#include <cppunit/extensions/HelperMacros.h>
#include <cppunit/TestCase.h>

class atsci_fs_correlator;

class qa_atsci_fs_correlator : public CppUnit::TestCase {
private:
  atsci_fs_correlator	*fsc;
  
 public:

  void setUp ();
  void tearDown ();

  CPPUNIT_TEST_SUITE (qa_atsci_fs_correlator);
  CPPUNIT_TEST (t0);
  CPPUNIT_TEST (t1);
  CPPUNIT_TEST (t2);
  CPPUNIT_TEST (t3);
  CPPUNIT_TEST (t4);
  CPPUNIT_TEST_SUITE_END ();

 private:

  void util (int which_field, int nerr1, int nerr2);
  
  void t0 ();
  void t1 ();
  void t2 ();
  void t3 ();
  void t4 ();
};

#endif /* _QA_ATSC_FS_CORRELATOR_H_ */
